Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.simulation.java
Class JavaSimulationEngine

    |
    +--biouml.plugins.simulation.SimulationEngine
      |
      +--biouml.plugins.simulation.java.JavaSimulationEngine

public class JavaSimulationEngine
extends SimulationEngine

Inner classes inherited from class biouml.plugins.simulation.SimulationEngine
`SimulationEngine.VariableType`

Field Summary
`int` | `length`

Fields inherited from class biouml.plugins.simulation.SimulationEngine
`DEFAULT_ABSOLUTE_TOLERANCE, DEFAULT_RELATIVE_TOLERANCE, needToShowPlot, srcDir`

Constructor Summary
`JavaSimulationEngine()`

Method Summary
`void` | `fillSimulationResult(SimulationResult res)`
`File[]` | `generateModel()`
`String` | `generateVariableCodeName(int n)`
`Formatter` | `getFormatter()`
`DiagramElement` | `processError(String err, String fileName, int row, int column)`
`String` | `simulate(File[] files)`
`void` | `writeComment(String comment)`
`void` | `writeExtend()`
`void` | `writeGetNextTransition()`
`void` | `writeProcessTransitionAfter()`

Methods inherited from class biouml.plugins.simulation.SimulationEngine
`clearContext, containsDelays, error, error, error, getAbsTolerance, getCompletionTime, getDiagram, getExecutableModel, getInitialTime, getNeedToShowPlot, getOutputDir, getQualifiedName, getRelTolerance, getResourceBundle, getResourceString, getSolverName, getTimeIncrement, normalize, setAbsTolerance, setCompletionTime, setDiagram, setInitialTime, setNeedToShowPlot, setOutputDir, setRelTolerance, setSolverName, setTimeIncrement, warn, writeAssignment, writeFile`

Field Detail

### length

    public int length

Constructor Detail

### JavaSimulationEngine

    public JavaSimulationEngine()

Method Detail

### fillSimulationResult

    public void fillSimulationResult(SimulationResult res)
                               throws java.lang.Exception

### generateModel

    public File[] generateModel()
                          throws java.lang.Exception

### generateVariableCodeName

    public String generateVariableCodeName(int n)

### getFormatter

    public Formatter getFormatter()

### processError

    public DiagramElement processError(String err, String fileName, int row, int column)

### simulate

    public String simulate(File[] files)
                     throws java.lang.Exception

### writeComment

    public void writeComment(String comment)

### writeExtend

    public void writeExtend()

### writeGetNextTransition

    public void writeGetNextTransition()

### writeProcessTransitionAfter

    public void writeProcessTransitionAfter()

Association Links

to Class ru.biosoft.math.model.JavaFormatter

to Class biouml.plugins.simulation.ResultListener

to Class java.io.File

to Class java.util.HashMap

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM